package nl.nikhef.safaripark.res;

import java.awt.image.BufferedImage;
import java.io.IOException;
import java.net.URL;

import javax.imageio.ImageIO;
import javax.swing.Icon;
import javax.swing.ImageIcon;

public class Resources {

	public static final Icon getIcon(String name) {
		URL resource = Resources.class.getResource(name + ".png");
		try {
			BufferedImage bi = ImageIO.read(resource);
			return new ImageIcon(bi);
		} catch (IOException e) {
		}
		return null;		
	}
	
}
